emacs-bug-tracker
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[debbugs-tracker] bug#35804: closed ([PATCH] libnotify didn't have propa


From: GNU bug Tracking System
Subject: [debbugs-tracker] bug#35804: closed ([PATCH] libnotify didn't have propagated-inputs)
Date: Tue, 21 May 2019 15:30:02 +0000

Your message dated Tue, 21 May 2019 17:29:39 +0200
with message-id <address@hidden>
and subject line Re: [bug#35804] [PATCH] libnotify didn't have propagated-inputs
has caused the debbugs.gnu.org bug report #35804,
regarding [PATCH] libnotify didn't have propagated-inputs
to be marked as done.

(If you believe you have received this mail in error, please contact
address@hidden)


-- 
35804: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35804
GNU Bug Tracking System
Contact address@hidden with problems
--- Begin Message --- Subject: [PATCH] libnotify didn't have propagated-inputs Date: Mon, 20 May 2019 02:23:30 +0300 User-agent: NeoMutt/20180716
libnotify doesn't propagate other needed libraries for linking against
it resulting in pkg-config errors like

> Package gdk-pixbuf-2.0 was not found in the pkg-config search path.
> Perhaps you should add the directory containing `gdk-pixbuf-2.0.pc'
> to the PKG_CONFIG_PATH environment variable

The following patch should fix that.


>From 4cb942cd6b5389c29fa80d9af8442c3fa364406f Mon Sep 17 00:00:00 2001
From: Uko Koknevics <address@hidden>
Date: Mon, 20 May 2019 01:49:05 +0300
Subject: [PATCH] Added propagated-inputs to libnotify

---
 gnu/packages/gnome.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 9070673..9c0cce9 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -1108,10 +1108,11 @@ configuring CUPS.")
        (base32
         "017wgq9n00hx39n0hm784zn18hl721hbaijda868cm96bcqwxd4w"))))
     (build-system gnu-build-system)
-    (inputs
+    (propagated-inputs
      `(("gdk-pixbuf" ,gdk-pixbuf)
-       ("glib" ,glib)
-       ("gtk+" ,gtk+)
+       ("glib" ,glib)))
+    (inputs
+     `(("gtk+" ,gtk+)
        ("libpng" ,libpng)))
     (native-inputs
       `(("pkg-config" ,pkg-config)
--
2.21.0



--- End Message ---
--- Begin Message --- Subject: Re: [bug#35804] [PATCH] libnotify didn't have propagated-inputs Date: Tue, 21 May 2019 17:29:39 +0200 User-agent: Notmuch/0.28.3 (https://notmuchmail.org) Emacs/26.2 (x86_64-pc-linux-gnu)
Hi Uko,

Uko Kokņevičs <address@hidden> writes:

> libnotify doesn't propagate other needed libraries for linking against
> it resulting in pkg-config errors like
>
>> Package gdk-pixbuf-2.0 was not found in the pkg-config search path.
>> Perhaps you should add the directory containing `gdk-pixbuf-2.0.pc'
>> to the PKG_CONFIG_PATH environment variable
>
> The following patch should fix that.

Thank you!  I added a commit message that follows our convention, and
left a comment in the code explaining why these have to be propagated.

Pushed as 7ef08efa21900e6e43415b9f9db0e51a04e17fa5.

Attachment: signature.asc
Description: PGP signature


--- End Message ---

reply via email to

[Prev in Thread] Current Thread [Next in Thread]